Package org.sunflow.math

# Class Point3

java.lang.Object
org.sunflow.math.Point3

public final class Point3 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`x`
`float`
`y`
`float`
`z`

## Constructor Summary

Constructors
Constructor
Description
`Point3()`
`Point3(float x, float y, float z)`
`Point3(Point3 p)`

## Method Summary

Modifier and Type
Method
Description
`static final Point3`
`add(Point3 p, Vector3 v, Point3 dest)`
`static final Point3`
`blend(Point3 p0, Point3 p1, float blend, Point3 dest)`
`final float`
`distanceTo(float px, float py, float pz)`
`final float`
`distanceTo(Point3 p)`
`final float`
`distanceToSquared(float px, float py, float pz)`
`final float`
`distanceToSquared(Point3 p)`
`float`
`get(int i)`
`static final Point3`
`mid(Point3 p1, Point3 p2, Point3 dest)`
`static final Vector3`
`normal(Point3 p0, Point3 p1, Point3 p2)`
`static final Vector3`
`normal(Point3 p0, Point3 p1, Point3 p2, Vector3 dest)`
`final Point3`
`set(float x, float y, float z)`
`final Point3`
`set(Point3 p)`
`static final Vector3`
`sub(Point3 p1, Point3 p2, Vector3 dest)`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public float x

### y

public float y

### z

public float z

## Constructor Details

### Point3

public Point3()

### Point3

public Point3(float x, float y, float z)

### Point3

public Point3(Point3 p)

## Method Details

### get

public float get(int i)

### distanceTo

public final float distanceTo(Point3 p)

### distanceTo

public final float distanceTo(float px, float py, float pz)

### distanceToSquared

public final float distanceToSquared(Point3 p)

### distanceToSquared

public final float distanceToSquared(float px, float py, float pz)

### set

public final Point3 set(float x, float y, float z)

### set

public final Point3 set(Point3 p)

### add

public static final Point3 add(Point3 p, Vector3 v, Point3 dest)

### sub

public static final Vector3 sub(Point3 p1, Point3 p2, Vector3 dest)

### mid

public static final Point3 mid(Point3 p1, Point3 p2, Point3 dest)

### blend

public static final Point3 blend(Point3 p0, Point3 p1, float blend, Point3 dest)

### normal

public static final Vector3 normal(Point3 p0, Point3 p1, Point3 p2)

### normal

public static final Vector3 normal(Point3 p0, Point3 p1, Point3 p2, Vector3 dest)

### toString

public final String toString()

Overrides:
  `toString` in class `Object`